<template>
    <q-dialog class="home">
        <q-card class="border-radius-50 q-pa-sm" style="width: 335px">
            <q-card-section class="row items-center row justify-center">
                <!-- Title -->
                <div class="col-12 items-center row justify-center">
                    <span
                        class="font-16 text-center helvetica-neue-medium"
                        no-caps
                    >
                        {{ $t('branch.activateAccount') }}
                    </span>
                </div>
                <div
                    class="
                        col-12
                        items-center
                        row
                        justify-center
                        q-mt-lg
                        text-center
                    "
                >
                    {{ $t('branch.confirmActivate') }}
                </div>
                <div
                    class="
                        col-12
                        items-center
                        text-center
                        helvetica-neue-medium
                        row
                        justify-center
                        q-mt-lg
                    "
                >
                    <q-btn
                        no-caps
                        rounded
                        text-color="white"
                        class="
                            button-active
                            col-12
                            q-pl-lg q-pr-lg q-pt-md q-pb-md
                        "
                        :label="$t('button.activate')"
                        @click="updateValue(false, 1)"
                    />
                    <span
                        @click="updateValue(false, 0)"
                        class="
                            helvetica-neue-medium
                            col-12font-16
                            q-pl-lg q-pr-lg q-pt-md q-pb-md
                        "
                    >
                        {{ $t('button.cancel') }}
                    </span>
                </div>
            </q-card-section>
        </q-card>
    </q-dialog>
</template>

<script lang="ts">
import { defineComponent, ref, reactive } from 'vue';
import { mapGetters } from 'vuex';

export default defineComponent({
    computed: {
        ...mapGetters({
            user: 'user/getUser'
        })
    },
    props: {
        confirm2: {
            type: Boolean,
            required: true
        },
        businessId: {
            type: Number,
            required: true
        }
    },
    setup(props, { emit }) {
        const search = ref('');

        let state = reactive({
            loadingState: ref(false),
            searchResults: ref(false),
            selectedUserID: ''
        });

        const updateValue = (value: any, type: any) => {
            emit('update-confirm2', value, type);
            return value;
        };

        return {
            state,
            search,
            dense: ref(true),
            updateValue
        };
    }
});
</script>
